@subheading gsasl_hmac_sha1
@anchor{gsasl_hmac_sha1}
@deftypefun {int} {gsasl_hmac_sha1} (const char * @var{key}, size_t @var{keylen}, const char * @var{in}, size_t @var{inlen}, char * @var{outhash[20]})
@var{key}: input character array with key to use.

@var{keylen}: length of input character array with key to use.

@var{in}: input character array of data to hash.

@var{inlen}: length of input character array of data to hash.

Compute keyed checksum of data using HMAC-SHA1.  The @code{outhash} buffer
must be deallocated by the caller.

@strong{Return value:} Returns @code{GSASL_OK} iff successful.

@strong{Since:} 1.3
@end deftypefun

